#!/bin/bash

# This script reads stdin and expects the output of cvlc.
# It is used by the run.sh script and receives the output of the cvlc client.
# It counts the number of times the frame "dropping" error is seen and every 10 times it sends a message to telegraf reporting "another 10" errors.

if [ "$#" -ne 1 ]; then
    echo "Error: illegal number of arguments: "$#
    echo "Usage: report.sh <client number>"
    exit 
fi

COUNTER=$1
TELEGRAF=http://localhost:8186

ERR_COUNT=0
while read line; do
  if [[ $line = *"dropping"* ]]; then
    ERR_COUNT=$(($ERR_COUNT + 1))
  fi
  TEN=$((ERR_COUNT % 10))
  if [ $TEN -eq 0 ]; then
    curl -i -XPOST "${TELEGRAF}/write?precision=s" --data-binary "vlc,client=${COUNTER} drop_error=10 $(date +%s)" >& /dev/null
  fi
done